#include <stdlib.h>
#include <stdio.h>
#include "frequency_italian.h"
#include "frequency_corsaro_rosso_enc_13.h"

void print_array(char array[26], char name[]){
	int i;
	printf("char %s[26]={ ", name);
	for(i=0; i<25; i++){
		printf("'%c', ", array[i]);
	}	
	printf("'%c' };\n", array[i]);
}


int main(int argc, char **argv){
	char result[26];
	int i;
	for(i=0; i<26; i++){
		result[sorted_text[i]-'a']=sorted_italian[i];
	}
	print_array(result,"substitution");
}
